document.addEventListener('DOMContentLoaded', () => {
  // Sample product data
  const products = [
    {
      title: 'Digital Marketing Mastery',
      price: 97,
      author: 'John Smith',
      image: 'product1.jpg'
    },
    {
      title: 'Web Development Course',
      price: 199,
      author: 'Sarah Johnson',
      image: 'product2.jpg'
    },
    {
      title: 'Social Media Strategy',
      price: 49,
      author: 'Mike Wilson',
      image: 'product3.jpg'
    }
  ];

  // Render products
  const productGrid = document.getElementById('productGrid');
  
  products.forEach(product => {
    const productCard = document.createElement('div');
    productCard.className = 'product-card';
    productCard.innerHTML = `
      <div class="product-image"></div>
      <h3>${product.title}</h3>
      <p class="author">by ${product.author}</p>
      <p class="price">$${product.price}</p>
      <button class="buy-button">Learn More</button>
    `;
    productGrid.appendChild(productCard);
  });

  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Header scroll effect
  let lastScroll = 0;
  window.addEventListener('scroll', () => {
    const header = document.querySelector('header');
    const currentScroll = window.pageYOffset;

    if (currentScroll > lastScroll) {
      header.style.transform = 'translateY(-100%)';
    } else {
      header.style.transform = 'translateY(0)';
    }
    lastScroll = currentScroll;
  });
});
